NMAP-UPDATE(1)

NAME
nmap-update - Updater for Nmap's architecture-independent files

SYNOPSIS

nmap-update [options] [channel]

DESCRIPTION

nmap-update is an updater for Nmap's architecture-independent files. It is used to keep up to date with changes and new scripts for the Nmap Scripting Engine.

Updates are distributed in the form of “channels”, which are named directories that usually correspond to Nmap version numbers. When nmap-update is installed, it will pull from the channel corresponding to the version of Nmap it was installed with, until Nmap and nmap-update are upgraded as a whole.

The program works by updating from a remote Subversion repository. To supply authentication credentials, create a configuration file:
    The contents of the file should be:

        username = username
        password = password

    Alternatively, you can cache your credentials more securely if you have the svn command-line program installed. Run the command svn ls https://svn.nmap.org/updates, enter your credentials, and agree to cache them when asked.

OPTIONS SUMMARY

-d directory
    Install to directory. Normally installation goes to a suitable place under your home directory: .nmap/updates/channel on Unix and AppData\Roaming\nmap\updates\channel on Windows. This option can be used by root to install updates system-wide.

-h, --help
    Show a help message and exit.

-r, --repo repository
    Use the given repository and path rather than the default. For example, --repo https://svn.example.com/updates.

--username username
    Authenticate with the given username.

--password password
    Authenticate with the given password.

-v, --verbose
    Be more verbose. Show the used channel and repository.

Any other arguments are taken to be the names of channels to load from. The channels are tried in order until one is successful.